cURL
curl --request POST \
--url https://sandbox.withclasp.com/tasks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"memo": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z"
}
'import requests
url = "https://sandbox.withclasp.com/tasks"
payload = {
"memo": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
memo: '<string>',
completed_at: '2023-11-07T05:31:56Z',
started_at: '2023-11-07T05:31:56Z'
})
};
fetch('https://sandbox.withclasp.com/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"employer": "<string>",
"assignee": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"memo": "<string>",
"completed_at": "2023-11-07T05:31:56Z",
"started_at": "2023-11-07T05:31:56Z"
}Tasks
Create Task
Defines a task in Clasp. Tasks are usually created automatically based on events that occur (e.g., QLE, new hire, etc).
POST
/
tasks
cURL
Authorizations
API Key authentication with required prefix "Bearer"
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
201 - application/json
Pattern:
^[-a-zA-Z0-9_]+$member_update- Member Updatedependent_update- Dependent Updateenrollment_update- Enrollment Update
Available options:
member_update, dependent_update, enrollment_update ⌘I